# $Revision: 1.64 $, $Date: 2008/02/29 22:32:24 $
# Conditional build:
%bcond_with	bootdisk		# build bootdisk version (linked with glibc-static)
#
Summary:	An interpreter for the awk programming language
Summary(de.UTF-8):	Mikes neuer Posix AWK-Interpretierer
Summary(es.UTF-8):	Nuevo interpretador (Posix) AWK del Mike
Summary(fr.UTF-8):	Mike's New/Posix AWK Interpreter : interpréteur AWK
Summary(pl.UTF-8):	Interpreter języka programowania awk
Summary(pt_BR.UTF-8):	Novo interpretador (Posix) AWK do Mike
Summary(ru.UTF-8):	Интерпретатор языка программирования awk
Summary(tr.UTF-8):	Posix AWK Yorumlayıcısı
Summary(uk.UTF-8):	Інтерпретатор мови програмування awk
Name:		mawk
Version:	1.3.3
Release:	33
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.fu-berlin.de/pub/unix/languages/mawk/%{name}%{version}.tar.gz
# Source0-md5:	ad46743641924e1234b2bfba92641085
Source1:	%{name}.1.pl
Patch0:		%{name}-fix_%{name}_path.patch
Patch1:		%{name}-ac-ac.patch
Patch2:		%{name}-debian.patch
Patch3:		%{name}-resolve.patch
Patch4:		%{name}-LDFLAGS.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
%{?with_bootdisk:BuildRequires:	glibc-static}
Provides:	/bin/awk
Provides:	awk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin

%description
Mawk is a version of the awk programming language. Awk interprets a
special-purpose programming language to do quick text pattern matching
and reformatting. Mawk improves on awk in certain ways and can
sometimes outperform gawk, the standard awk program for Linux. Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

%description -l de.UTF-8
Mawk ist eine Version von awk, einem leistungsfähigen
Textverarbeitungsprogramm. In bestimmten Bereichen leistet mawk mehr
als gawk, das Standard-awk-Programm auf Linux.

%description -l es.UTF-8
Mawk es una versión del awk, que es un fuerte programa procesador de
texto. En algunas áreas mawk puede superar gawk, que es el programa
awk padrón del Linux.

%description -l fr.UTF-8
mawk est une version d'awk, un puissant programme de traitement du
texte. Dans certains cas, mawk peut être supérieur à gawk, qui est le
programme awk standard sur Linux

%description -l pl.UTF-8
Mawk jest wersją interpretera języka programowania awk. Awk jest
specjalizowanym językiem programowania do szybkiego przetwarzania
tekstów. Mawk w pewien sposób ulepsza awk i czasem przerasta nawet
gawk - standardowy interpreter awk-a w Linuksie. Mawk jest zgodny ze
standardem języka awk opisanym w POSIX 1003.2 (draft 11.3).

%description -l pt_BR.UTF-8
Mawk é uma versão do awk, que é um poderoso programa processador de
texto. Em algumas áreas mawk pode superar gawk, que é o programa awk
padrão do Linux.

%description -l ru.UTF-8
Mawk - это версия языка программирования awk, мощного инструмента для
обработки текста. Mawk имеет улучшенную реализацию некоторых
возможностей awk и иногда быстрее gawk, стандартной программы awk для
Linux. Mawk соответствует POSIX 1003.2 (draft 11.3) определению языка
awk.

%description -l tr.UTF-8
Mawk, çok güçlü bir metin işleme programı olan awk'ın bir sürümüdür.
Bazı durumlarda Linux un standart awk programı olan gawk'dan daha
üstündür.

%description -l uk.UTF-8
Mawk - це версія мови програмування awk, потужного інструменту для
обробки тексту. Mawk має покращену реалізацію деяких можливостей awk і
іноді швидший за gawk, стандартну програму awk для Linux. Mawk
відповідає POSIX 1003.2 (draft 11.3) визначенню мови awk.

%package BOOT
Summary:	An interpreter for the awk programming language - BOOT
Summary(de.UTF-8):	Mikes neuer Posix AWK-Interpretierer - BOOT
Summary(fr.UTF-8):	Mike's New/Posix AWK Interpreter : interpréteur AWK - BOOT
Summary(pl.UTF-8):	Interpreter języka programowania awk - BOOT
Summary(tr.UTF-8):	Posix AWK Yorumlayıcısı - BOOT
Group:		Applications/Text

%description BOOT
Bootdisk awk version.

%description BOOT -l pl.UTF-8
Wersja awka na bootkietkę.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoupdate mawk.ac.m4
autoupdate configure.in
%{__aclocal}
%{__autoconf}
%configure
%if %{with bootdisk}
%{__make} -j1 \
	MATHLIB=/usr/%{_lib}/libm.a \
	LDFLAGS="%{rpmldflags}"
mv -f mawk mawk.BOOT
%{__make} clean
%endif
%{__make} -j1 \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{man1,pl/man1},%{_examplesdir}/%{name}-%{version},/bin}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

ln -sf mawk $RPM_BUILD_ROOT%{_bindir}/awk
echo ".so mawk.1" > $RPM_BUILD_ROOT%{_mandir}/man1/awk.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/mawk.1
echo ".so mawk.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/awk.1

mv -f examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with bootdisk}
install -d $RPM_BUILD_ROOT%{_libdir}/bootdisk/bin
install mawk.BOOT $RPM_BUILD_ROOT%{_libdir}/bootdisk/bin/awk
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGMENT CHANGES README
%attr(755,root,root) %{_bindir}/mawk
%attr(755,root,root) %{_bindir}/awk
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_examplesdir}/%{name}-%{version}

%if %{with bootdisk}
%files BOOT
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bootdisk/bin/awk
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mawk.spec,v $
Revision 1.64  2008/02/29 22:32:24  pluto
-  BR: bison.

Revision 1.63  2007-09-05 14:55:12  baggins
- rel 33

Revision 1.62  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.61  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.60  2006/09/07 18:51:06  glen
- converted BOOT macro to bootdisk bcond (anyone still needs it?)

Revision 1.59  2006/09/05 15:27:13  sparky
- make -j1, does not pass tests on SMP

Revision 1.58  2006/07/30 22:38:34  glen
- lib64 awareness

Revision 1.57  2006/07/30 17:33:28  sparky
- use rpmldflags

Revision 1.56  2006/02/03 17:38:41  arekm
- initialize some var.

Revision 1.55  2006/02/03 17:23:18  arekm
- rel 32; debian patch

Revision 1.54  2005/07/22 20:19:11  darekr
- defined _bindir to /bin

Revision 1.53  2004/10/15 21:25:31  qboosh
- fixed misleading typo in 1.51 commit message (s/33/30/)

Revision 1.52  2004/10/12 21:53:24  mmazur
- rel 31 for th

Revision 1.51  2003/08/30 13:14:55  mmazur
- rel 30 for ac

Revision 1.50  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.49  2003/07/10 12:47:13  qboosh
- removed %doc from examples - all files in %{_examplesdir} are docs implicitly

Revision 1.48  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:50:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.45  2002/08/08 08:23:17  qboosh
- merged PTM fixes to mawk.1.pl; release 29

Revision 1.44  2002/08/06 14:37:23  krzak
- fix in example code ('') in mawk.1.pl
- release 28

Revision 1.43  2002/08/04 16:35:00  krzak
- s/numer nieżącego rekordu/numer bieżącego rekordu/  in mawk.1.pl
- release 27

Revision 1.42  2002/06/19 21:15:49  qboosh
- removed ac-workaround patch, fixed ac-ac patch
- release 26

Revision 1.41  2002/06/12 08:13:53  juandon
- commented workaround patch
- added ac patch
- added autoupdate and aclocal invocation
- Rel 25

Revision 1.40  2002/05/24 12:12:21  trojan
- new %doc packing infrastructure
- added %doc to examples, fixed dir with examples
- release 24; STBR

Revision 1.39  2002/05/21 23:14:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/04/24 18:15:13  kloczek
- relase 23: merge translations from KSI.

Revision 1.37  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/02/19 06:11:18  kloczek
- release 22.

Revision 1.35  2002/02/18 21:49:12  gotar
- %desc

Revision 1.34  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/11/12 00:16:20  kloczek
- merged translations stolen from CNV.

Revision 1.32  2001/11/11 13:14:19  qboosh
- ac-workaround patch for new ac (m4 hanged eating 100% CPU)
- finished adding pl man page (fixed %files)
- made BOOT conditional

Revision 1.31  2001/11/08 21:51:44  ankry
- added pl man page
- revision 21

Revision 1.30  2001/11/08 19:06:19  kloczek
- release 20: spec adapterized.

Revision 1.29  2001/10/11 13:14:46  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.28  2001/04/19 01:06:21  kloczek
- fixed %install (make correctly directory for BOOT files).

Revision 1.27  2001/04/02 16:58:23  malekith
- moved -BOOT from am/bin to bin

Revision 1.26  2001/04/02 16:34:29  malekith
- rel 19 with -BOOT, stbr.

Revision 1.25  2001/04/02 16:27:47  malekith
- added BOOT version instead of bcond smath.

Revision 1.24  2001/01/19 21:50:19  kloczek
- release 18.

Revision 1.23  2001/01/12 09:51:27  agaran
- Typo,fixed

Revision 1.22  2001/01/12 09:40:30  agaran
- Added bcond for statical linking libm (it is smaller than mawk+libm dynamic)
  ex for bootdisks.. ;-)

Revision 1.21  2000/12/11 23:34:07  kloczek
- release 17: added using %{_examplesdir} macro.

Revision 1.20  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.19  2000/07/13 00:05:29  kloczek
- added Provides: awk.

Revision 1.18  2000/07/12 23:48:26  kloczek
- release 16.

Revision 1.17  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.16  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.15  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.14  2000/05/02 07:53:27  kloczek
- enable fix_mawk_path patch.

Revision 1.13  2000/04/26 09:09:00  zagrodzki
- removed awk.1 from gawk, and moved to mawk

Revision 1.12  2000/04/26 09:06:33  zagrodzki
- mawk provides man for awk

Revision 1.11  2000/04/15 14:27:04  zagrodzki
- mawk goes to /bin (not /usr/bin), gawk goes to /usr/bin(not /bin)
- updated releases

Revision 1.10  2000/04/11 22:16:28  zagrodzki
- mawk provides /bin/awk, and this should be placed in every "requires"

Revision 1.9  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  2000/03/22 01:05:17  kloczek
- spec adapterized,
- some simplifications.

Revision 1.6  2000/01/31 00:51:12  kura
- added Provides: awk

Revision 1.5  1999/11/07 17:45:57  kura
- [1.3.3-13]
- added link to /bin/awk
- added examples
- new pl description
- updated URL
- fixed Group
- added Group(pl)
- added BINDIR to 'make install'

Revision 1.4  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.3  1999/07/12 23:06:09  kloczek
- added using CVS keywords in %changelog (for automating them).
